"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Promise = require("bluebird");
var fs = require("fs");
function buffer(stream, bufferFile) {
    var fileWriteStream = fs.createWriteStream(bufferFile);
    return new Promise(function (resolve, reject) {
        stream
            .on('error', reject)
            .on('end', resolve)
            .pipe(fileWriteStream);
    }).then(function () {
        return new Promise(function (resolve, reject) {
            var stream = fs.createReadStream(bufferFile);
            stream.on('open', function () { return resolve(stream); }).on('error', reject);
        });
    });
}
exports.buffer = buffer;
//# sourceMappingURL=streams.js.map